ランタイム: Mix::Scene::IManager Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Protected Member Functions | List of all members
Mix::Scene::IManager Class Referenceabstract

シーンマネージャインターフェース More...

`#include <IManager.h>`

Inheritance diagram for Mix::Scene::IManager:
[legend]
Collaboration diagram for Mix::Scene::IManager:
[legend]

## Public Member Functions

全般
virtual Boolean | CreateEffectPackage (const wchar_t *pDirPath, const wchar_t *pName, Mix::Scene::IEffectPackage **ppEffectPackage)=0
| エフェクトパッケージを作成します More...
virtual Boolean | CreateRenderer (Mix::Scene::IEffectPackage *pEffectPackage, const Mix::Scene::RENDERER_CONFIG &config, Mix::Scene::IRenderer **ppRenderer, const wchar_t *pDebugName=NULL)=0
| レンダラーを作成します More...
カメラ
virtual Boolean | CreateUniversalCamera (const Mix::Scene::CAMERA_CONFIG &config, Mix::Scene::IUniversalCamera **ppCamera, const wchar_t *pDebugName=NULL)=0
| ユニバーサルカメラを作成します More...
virtual Boolean | CreateViewCamera (const Mix::Scene::CAMERA_CONFIG &config, Mix::Scene::IViewCamera **ppCamera, const wchar_t *pDebugName=NULL)=0
| ビューカメラを作成します More...
ライト
virtual Boolean | CreateHemisphereLight (Mix::Scene::IHemisphereLight **ppLight, const wchar_t *pDebugName=NULL)=0
| 半球ライトを作成します More...
virtual Boolean | CreateDirectionalLight (Mix::Scene::IDirectionalLight **ppLight, const wchar_t *pDebugName=NULL)=0
| ディレクショナルライトを作成します More...
virtual Boolean | CreatePointLight (Mix::Scene::IPointLight **ppLight, const wchar_t *pDebugName=NULL)=0
| スポットライトを作成します More...
virtual Boolean | CreateSpotLight (Mix::Scene::ISpotLight **ppLight, const wchar_t *pDebugName=NULL)=0
| ポイントライトを作成します More...
スカイドーム
virtual Boolean | CreateSkyDome (Float32 radius, Float32 height, Mix::Scene::ISkyDome::QUALITY heQuality, Mix::Scene::ISkyDome **ppSkyDome, const wchar_t *pDebugName=NULL)=0
| スカイドームを作成します More...
virtual Boolean | CreateSkyDome (Float32 radius, Float32 height, Mix::Scene::ISkyDome::QUALITY heQuality, Mix::Scene::ISkyDome::QUALITY paQuality, Mix::Scene::ISkyDome **ppSkyDome, const wchar_t *pDebugName=NULL)=0
| スカイドームを作成します More...
パーティクル
virtual Boolean | CreateDefaultParticleSystem (Boolean bSimWorldSpace, Mix::Scene::IDefaultParticleSystem::PLANE_TYPE planeType, Mix::Scene::IDefaultParticleSystem **ppSystem, const wchar_t *pDebugName=NULL)=0
| デフォルトパーティクルシステムを作成します More...
virtual Boolean | CreateBillboardParticleSystem (Boolean bSimWorldSpace, Mix::Scene::IBillboardParticleSystem **ppSystem, const wchar_t *pDebugName=NULL)=0
| ビルボードパーティクルシステムを作成します More...
virtual Boolean | CreateLeavingParticle (Mix::Scene::IMaterial *pMaterial, Mix::Scene::IParticleSystem *pSystem, Mix::Scene::ILeavingParticle **ppParticle, const wchar_t *pDebugName=NULL)=0
| リービングパーティクルを作成します More...
virtual Boolean | CreateScatterParticle (Mix::Scene::IMaterial *pMaterial, Mix::Scene::IParticleSystem *pSystem, Mix::Scene::IScatterParticle **ppParticle, const wchar_t *pDebugName=NULL)=0
| スキャッターパーティクルを作成します More...
プランター
virtual Boolean | CreateFlowerPackage (Mix::Scene::IMaterial *pMaterial, UInt32 numModel, const Mix::Scene::IFlowerPackage::MODEL *models, Mix::Scene::IFlowerPackage **ppFlowerPackage, const wchar_t *pDebugName=NULL)=0
| フラワーパッケージを作成します More...
virtual Boolean | CreatePlanter (Mix::Scene::IFlowerPackage *pFlowerPackage, Mix::Scene::IPlanter **ppPlanter, const wchar_t *pDebugName=NULL)=0
| プランターを作成します More...
virtual Boolean | CreatePlanter (Mix::Scene::IFlowerPackage *pFlowerPackage, UInt32 numUnit, const Mix::Scene::IPlanter::UNIT *units, const Mix::Matrix4x4 &worldMat, Mix::Scene::IPlanter **ppPlanter, const wchar_t *pDebugName=NULL)=0
| プランターを作成します More...
アクターモデル
virtual Boolean | CreateActorModelFromFile (Mix::Scene::IEffectPackage *pEffectPackage, const wchar_t *pFilePath, Mix::Scene::IActorModel **ppModel)=0
| アクターモデルをファイルから作成します More...
virtual Boolean | CreateActorModelFromReader (Mix::Scene::IEffectPackage *pEffectPackage, Mix::IO::IReader *pReader, Mix::Scene::IActorModel **ppModel)=0
| アクターモデルをファイルから作成します More...
virtual Boolean | CreateActorModelFromMemory (Mix::Scene::IEffectPackage *pEffectPackage, const wchar_t *pFilePath, const void *pSrc, UInt32 srcSize, Mix::Scene::IActorModel **ppModel)=0
| アクターモデルをメモリ内のファイルから作成します More...
テラインモデル
virtual Boolean | CreateTerrainModelFromFile (Mix::Scene::IEffectPackage *pEffectPackage, const wchar_t *pFilePath, Mix::Scene::ITerrainModel **ppModel)=0
| テラインモデルをファイルから作成します More...
virtual Boolean | CreateTerrainModelFromReader (Mix::Scene::IEffectPackage *pEffectPackage, Mix::IO::IReader *pReader, Mix::Scene::ITerrainModel **ppModel)=0
| テラインモデルをリーダーから作成します More...
virtual Boolean | CreateTerrainModelFromMemory (Mix::Scene::IEffectPackage *pEffectPackage, const wchar_t *pFilePath, const void *pSrc, UInt32 srcSize, Mix::Scene::ITerrainModel **ppModel)=0
| テラインモデルをメモリ内のファイルから作成します More...
ビジュアルエフェクト
virtual Boolean | CreateLightShaftsCaster (Mix::Scene::ILightShaftsCaster **ppLightShaftsCaster, const wchar_t *pDebugName=NULL)=0
| ライトシャフトキャスターを作成します More...
virtual Boolean | CreateWaterPool (const Mix::Vector3 &halfExtents, Mix::Vector3 &worldPos, Mix::Scene::IWaterPool **ppWaterPool, const wchar_t *pDebugName=NULL)=0
| ウォータープールを作成します More...
virtual Boolean | CreateWaterPool (Mix::Scene::IWaterPoolContext *pContext, const Mix::Matrix4x4 &worldMat, Mix::Scene::IWaterPool **ppWaterPool, const wchar_t *pDebugName=NULL)=0
| ウォータープールを作成します More...
フロア
virtual Boolean | CreateFloor (Mix::Scene::IFloor **ppFloor, const wchar_t *pDebugName=NULL)=0
| フロアを作成します More...
virtual Boolean | CreateFloor (const Mix::Vector3 &normal, Float32 offset, Mix::Scene::IFloor **ppFloor, const wchar_t *pDebugName=NULL)=0
| フロアを作成します More...
ゴースト
virtual Boolean | CreateBasisGhost (Mix::Dynamics::IShape *pShape, Boolean bCollide, Mix::Scene::IGhost **ppGhost, const wchar_t *pDebugName=NULL)=0
| ベイシスゴーストを作成します More...
virtual Boolean | CreateKinematicGhost (Float32 height, Float32 radius, Float32 stepHeight, Mix::Scene::IGhost **ppGhost, const wchar_t *pDebugName=NULL)=0
| キネマティックゴーストを作成します More...
マテリアル
virtual Boolean | CreateMaterialFromFile (Mix::Scene::IEffectPackage *pEffectPackage, const wchar_t *pFilePath, Mix::Scene::IMaterial **ppMaterial)=0
| マテリアルをファイルから作成します More...
virtual Boolean | CreateMaterialFromReader (Mix::Scene::IEffectPackage *pEffectPackage, Mix::IO::IReader *pReader, Mix::Scene::IMaterial **ppMaterial)=0
| マテリアルをリーダーから作成します More...
virtual Boolean | CreateMaterialFromMemory (Mix::Scene::IEffectPackage *pEffectPackage, const wchar_t *pFilePath, const void *pSrc, UInt32 srcSize, Mix::Scene::IMaterial **ppMaterial)=0
| マテリアルをメモリ内のファイルから作成します More...
モーション
virtual Boolean | CreateMotionFromFile (const wchar_t *pFilePath, Mix::Scene::IMotion **ppMotion)=0
| モーションをファイルから作成します More...
virtual Boolean | CreateMotionFromReader (Mix::IO::IReader *pReader, Mix::Scene::IMotion **ppMotion)=0
| モーションをファイルから作成します More...
virtual Boolean | CreateMotionFromMemory (const wchar_t *pFilePath, const void *pSrc, UInt32 srcSize, Mix::Scene::IMotion **ppMotion)=0
| モーションをメモリ内のファイルから作成します More...
デバッグ
virtual const Mix::Vector4 & | Debug_GetDrawColor (Mix::Scene::DEBUG_DRAW_COLOR_TYPE type) const =0
| デバッグ : 描画色を取得します More...
virtual void | Debug_SetDrawColor (Mix::Scene::DEBUG_DRAW_COLOR_TYPE type, const Mix::Vector4 &color)=0
| デバッグ : 描画色を設定します More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IManager (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Detailed Description

シーンマネージャインターフェース

## Constructor & Destructor Documentation

virtual Mix::Scene::IManager::~IManager | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual Boolean Mix::Scene::IManager::CreateEffectPackage | ( | const wchar_t * | pDirPath,
|  | const wchar_t * | pName,
|  | Mix::Scene::IEffectPackage ** | ppEffectPackage
| ) |  |

pure virtual

エフェクトパッケージを作成します

Parameters

  [in] | pDirPath | ディレクトリパス
  [in] | pName | 名前( シェーダーモデルの番号、拡張子は含まない )
  [out] | ppEffectPackage | 作成したエフェクトパッケージを渡す Mix::Scene::IEffectPackage インターフェースのポインタのアドレス

Returns
  作成に成功した場合は True を返します

virtual Boolean Mix::Scene::IManager::CreateRenderer | ( | Mix::Scene::IEffectPackage * | pEffectPackage,
|  | const Mix::Scene::RENDERER_CONFIG & | config,
|  | Mix::Scene::IRenderer ** | ppRenderer,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

レンダラーを作成します

Parameters

  [in] | pEffectPackage | エフェクトパッケージを表す Mix::Scene::IEffectPackage インターフェースのポインタ
  [in] | config | レンダラーの設定を表す Mix::Scene::RENDERER_CONFIG 構造体
  [in] | ppRenderer | 作成したレンダラーを渡す Mix::Scene::IRenderer インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  作成に成功した場合は True を返します

virtual Boolean Mix::Scene::IManager::CreateUniversalCamera | ( | const Mix::Scene::CAMERA_CONFIG & | config,
|  | Mix::Scene::IUniversalCamera ** | ppCamera,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

ユニバーサルカメラを作成します

Parameters

  [in] | config | 設定を表す Mix::Scene::CAMERA_CONFIG 構造体
  [out] | ppCamera | 作成したユニバーサルカメラを渡す Mix::Scene::IUniversalCamera インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合は True を返します

virtual Boolean Mix::Scene::IManager::CreateViewCamera | ( | const Mix::Scene::CAMERA_CONFIG & | config,
|  | Mix::Scene::IViewCamera ** | ppCamera,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

ビューカメラを作成します

Parameters

  [in] | config | 設定を表す Mix::Scene::CAMERA_CONFIG 構造体
  [out] | ppCamera | 作成したビューカメラを渡す Mix::Scene::IViewCamera インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合は True を返します

virtual Boolean Mix::Scene::IManager::CreateHemisphereLight | ( | Mix::Scene::IHemisphereLight ** | ppLight,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

半球ライトを作成します

Parameters

  [out] | ppLight | 取得した半球ライトを渡す Mix::Scene::IHemisphereLight インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合は True を返します

virtual Boolean Mix::Scene::IManager::CreateDirectionalLight | ( | Mix::Scene::IDirectionalLight ** | ppLight,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

ディレクショナルライトを作成します

Parameters

  [out] | ppLight | 取得したディクショナルライトを渡す Mix::Scene::IDirectionalLight インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合は True を返します

virtual Boolean Mix::Scene::IManager::CreatePointLight | ( | Mix::Scene::IPointLight ** | ppLight,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

スポットライトを作成します

Parameters

  [in] | ppLight | 作成したスポットライトを渡す Mix::Scene::ISpotLight インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合は True を返します

virtual Boolean Mix::Scene::IManager::CreateSpotLight | ( | Mix::Scene::ISpotLight ** | ppLight,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

ポイントライトを作成します

Parameters

  [in] | ppLight | 作成したポイントライトを渡す Mix::Scene::IPointLight インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合は True を返します

virtual Boolean Mix::Scene::IManager::CreateSkyDome | ( | Float32 | radius,
|  | Float32 | height,
|  | Mix::Scene::ISkyDome::QUALITY | heQuality,
|  | Mix::Scene::ISkyDome ** | ppSkyDome,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

スカイドームを作成します

Parameters

  [in] | radius | 水平線の半径
  [in] | height | 地表からの高さ
  [in] | heQuality | 半球のクォリティを表す Mix::Scene::ISkyDome::QUALITY 列挙定数
  [out] | ppSkyDome | 作成したスカイドームを渡す Mix::Scene::ISkyDome インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合は True を返します

virtual Boolean Mix::Scene::IManager::CreateSkyDome | ( | Float32 | radius,
|  | Float32 | height,
|  | Mix::Scene::ISkyDome::QUALITY | heQuality,
|  | Mix::Scene::ISkyDome::QUALITY | paQuality,
|  | Mix::Scene::ISkyDome ** | ppSkyDome,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

スカイドームを作成します

Parameters

  [in] | radius | 水平線の半径
  [in] | height | 地表からの高さ
  [in] | heQuality | 半球のクォリティを表す Mix::Scene::ISkyDome::QUALITY 列挙定数
  [in] | paQuality | 遠景のクォリティを表す Mix::Scene::ISkyDome::QUALITY 列挙定数
  [out] | ppSkyDome | 作成したスカイドームを渡す Mix::Scene::ISkyDome インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合は True を返します

virtual Boolean Mix::Scene::IManager::CreateDefaultParticleSystem | ( | Boolean | bSimWorldSpace,
|  | Mix::Scene::IDefaultParticleSystem::PLANE_TYPE | planeType,
|  | Mix::Scene::IDefaultParticleSystem ** | ppSystem,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

デフォルトパーティクルシステムを作成します

Parameters

  [in] | bSimWorldSpace | 発生元の回転、移動の影響を受けない場合は True
  [in] | planeType | プレーンの種類を表す Mix::Scene::IDefaultParticleSystem::PLANE_TYPE 列挙定数
  [out] | ppSystem | 作成したパーティクルシステムを渡す Mix::Scene::IDefaultParticleSystem インターフェースのポインタ
  [in] | pDebugName | デバッグ名

Returns
  成功した場合は True を返します

virtual Boolean Mix::Scene::IManager::CreateBillboardParticleSystem | ( | Boolean | bSimWorldSpace,
|  | Mix::Scene::IBillboardParticleSystem ** | ppSystem,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

ビルボードパーティクルシステムを作成します

Parameters

  [in] | bSimWorldSpace | 発生元の回転、移動の影響を受けない場合は True
  [out] | ppSystem | 作成したパーティクルシステムを渡す Mix::Scene::IBillboardParticleSystem インターフェースのポインタ
  [in] | pDebugName | デバッグ名

Returns
  成功した場合は True を返します

virtual Boolean Mix::Scene::IManager::CreateLeavingParticle | ( | Mix::Scene::IMaterial * | pMaterial,
|  | Mix::Scene::IParticleSystem * | pSystem,
|  | Mix::Scene::ILeavingParticle ** | ppParticle,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

リービングパーティクルを作成します

Parameters

  [in] | pMaterial | リービングパーティクルで使用するマテリアルを表す Mix::Scene::IMaterial* pMaterial インターフェースのポインタ
  [in] | pSystem | パーティクルシステムを表す Mix::Scene::IParticleSystem インターフェースのポインタ
  [out] | ppParticle | 作成したリービングパーティクルを渡す Mix::Scene::ILeavingParticle インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合は True を返します

virtual Boolean Mix::Scene::IManager::CreateScatterParticle | ( | Mix::Scene::IMaterial * | pMaterial,
|  | Mix::Scene::IParticleSystem * | pSystem,
|  | Mix::Scene::IScatterParticle ** | ppParticle,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

スキャッターパーティクルを作成します

Parameters

  [in] | pMaterial | スキャッターパーティクルで使用するマテリアルを表す Mix::Scene::IMaterial* pMaterial インターフェースのポインタ
  [in] | pSystem | パーティクルシステムを表す Mix::Scene::IParticleSystem インターフェースのポインタ
  [out] | ppParticle | 作成したスキャッターパーティクルを渡す Mix::Scene::IScatterParticle インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合は True を返します

virtual Boolean Mix::Scene::IManager::CreateFlowerPackage | ( | Mix::Scene::IMaterial * | pMaterial,
|  | UInt32 | numModel,
|  | const Mix::Scene::IFlowerPackage::MODEL * | models,
|  | Mix::Scene::IFlowerPackage ** | ppFlowerPackage,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

フラワーパッケージを作成します

Parameters

  [in] | pMaterial | マテリアル
  [in] | numModel | モデルの数
  [in] | models | モデルを表す Mix::Scene::IFlowerPackage::MODEL 構造体の配列
  [out] | ppFlowerPackage | 作成したフラワーパッケージを渡す Mix::Scene::IFlowerPackage インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合は True を返します

virtual Boolean Mix::Scene::IManager::CreatePlanter | ( | Mix::Scene::IFlowerPackage * | pFlowerPackage,
|  | Mix::Scene::IPlanter ** | ppPlanter,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

プランターを作成します

Parameters

  [in] | pFlowerPackage | フラワーパッケージを表す Mix::Scene::IFlowerPackage インターフェースのポインタ
  [out] | ppPlanter | 追加したプランターを渡す Mix::Scene::IPlanter インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合は True を返します

virtual Boolean Mix::Scene::IManager::CreatePlanter | ( | Mix::Scene::IFlowerPackage * | pFlowerPackage,
|  | UInt32 | numUnit,
|  | const Mix::Scene::IPlanter::UNIT * | units,
|  | const Mix::Matrix4x4 & | worldMat,
|  | Mix::Scene::IPlanter ** | ppPlanter,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

プランターを作成します

Parameters

  [in] | pFlowerPackage | フラワーパッケージを表す Mix::Scene::IFlowerPackage インターフェースのポインタ
  [in] | numUnit | ユニット数
  [in] | units | ユニットを表す Mix::Scene::IPlanter::UNIT 構造体の配列
  [in] | worldMat | ワールド行列
  [out] | ppPlanter | 追加したプランターを渡す Mix::Scene::IPlanter インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合は True を返します

virtual Boolean Mix::Scene::IManager::CreateActorModelFromFile | ( | Mix::Scene::IEffectPackage * | pEffectPackage,
|  | const wchar_t * | pFilePath,
|  | Mix::Scene::IActorModel ** | ppModel
| ) |  |

pure virtual

アクターモデルをファイルから作成します

Parameters

  [in] | pEffectPackage | エフェクトパッケージを表す Mix::Scene::IEffectPackage インターフェースのポインタ
  [in] | pFilePath | ファイルパス
  [out] | ppModel | 作成したアクターモデルを渡す Mix::Scene::IActorModel インターフェースのポインタのアドレス

Returns
  作成に成功した場合は True を返します

virtual Boolean Mix::Scene::IManager::CreateActorModelFromReader | ( | Mix::Scene::IEffectPackage * | pEffectPackage,
|  | Mix::IO::IReader * | pReader,
|  | Mix::Scene::IActorModel ** | ppModel
| ) |  |

pure virtual

アクターモデルをファイルから作成します

Parameters

  [in] | pEffectPackage | エフェクトパッケージを表す Mix::Scene::IEffectPackage インターフェースのポインタ
  [in] | pReader | リーダーを表す Mix::IO::IReader インターフェースのポインタ
  [out] | ppModel | 作成したアクターモデルを渡す Mix::Scene::IActorModel インターフェースのポインタのアドレス

Returns
  作成に成功した場合は True を返します

virtual Boolean Mix::Scene::IManager::CreateActorModelFromMemory | ( | Mix::Scene::IEffectPackage * | pEffectPackage,
|  | const wchar_t * | pFilePath,
|  | const void * | pSrc,
|  | UInt32 | srcSize,
|  | Mix::Scene::IActorModel ** | ppModel
| ) |  |

pure virtual

アクターモデルをメモリ内のファイルから作成します

Parameters

  [in] | pEffectPackage | エフェクトパッケージを表す Mix::Scene::IEffectPackage インターフェースのポインタ
  [in] | pFilePath | ファイルパス
  [in] | pSrc | メモリ内のファイルのポインタ
  [in] | srcSize | メモリ内のファイルのサイズ
  [out] | ppModel | 作成したアクターモデルを渡す Mix::Scene::IActorModel インターフェースのポインタのアドレス

Returns
  作成に成功した場合は True を返します

virtual Boolean Mix::Scene::IManager::CreateTerrainModelFromFile | ( | Mix::Scene::IEffectPackage * | pEffectPackage,
|  | const wchar_t * | pFilePath,
|  | Mix::Scene::ITerrainModel ** | ppModel
| ) |  |

pure virtual

テラインモデルをファイルから作成します

Parameters

  [in] | pEffectPackage | エフェクトパッケージを表す Mix::Scene::IEffectPackage インターフェースのポインタ
  [in] | pFilePath | ファイルパス
  [out] | ppModel | 作成したテラインモデルを渡す Mix::Scene::ITerrainModel インターフェースのポインタのアドレス

Returns
  作成に成功した場合は True を返します

virtual Boolean Mix::Scene::IManager::CreateTerrainModelFromReader | ( | Mix::Scene::IEffectPackage * | pEffectPackage,
|  | Mix::IO::IReader * | pReader,
|  | Mix::Scene::ITerrainModel ** | ppModel
| ) |  |

pure virtual

テラインモデルをリーダーから作成します

Parameters

  [in] | pEffectPackage | エフェクトパッケージを表す Mix::Scene::IEffectPackage インターフェースのポインタ
  [in] | pReader | リーダーを表す Mix::IO::IReader インターフェースのポインタ
  [out] | ppModel | 作成したテラインモデルを渡す Mix::Scene::ITerrainModel インターフェースのポインタのアドレス

Returns
  作成に成功した場合は True を返します

virtual Boolean Mix::Scene::IManager::CreateTerrainModelFromMemory | ( | Mix::Scene::IEffectPackage * | pEffectPackage,
|  | const wchar_t * | pFilePath,
|  | const void * | pSrc,
|  | UInt32 | srcSize,
|  | Mix::Scene::ITerrainModel ** | ppModel
| ) |  |

pure virtual

テラインモデルをメモリ内のファイルから作成します

Parameters

  [in] | pEffectPackage | エフェクトパッケージを表す Mix::Scene::IEffectPackage インターフェースのポインタ
  [in] | pFilePath | ファイルパス
  [in] | pSrc | メモリ内のファイルのポインタ
  [in] | srcSize | メモリ内のファイルのサイズ
  [out] | ppModel | 作成したテラインモデルを渡す Mix::Scene::ITerrainModel インターフェースのポインタのアドレス

Returns
  作成に成功した場合は True を返します

virtual Boolean Mix::Scene::IManager::CreateLightShaftsCaster | ( | Mix::Scene::ILightShaftsCaster ** | ppLightShaftsCaster,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

ライトシャフトキャスターを作成します

Parameters

  [out] | ppLightShaftsCaster | 作成したライトシャフトキャスターを渡す Mix::Scene::ILightShaftsCaster インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合は True を返します

virtual Boolean Mix::Scene::IManager::CreateWaterPool | ( | const Mix::Vector3 & | halfExtents,
|  | Mix::Vector3 & | worldPos,
|  | Mix::Scene::IWaterPool ** | ppWaterPool,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

ウォータープールを作成します

Parameters

  [in] | halfExtents | 各XYZ方向の半分の長さ
  [in] | worldPos | ワールド空間の位置を表す Mix::Vector3 クラス
  [out] | ppWaterPool | 追加したウォータープールを渡す Mix::Scene::IWaterPool インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合は True を返します

virtual Boolean Mix::Scene::IManager::CreateWaterPool | ( | Mix::Scene::IWaterPoolContext * | pContext,
|  | const Mix::Matrix4x4 & | worldMat,
|  | Mix::Scene::IWaterPool ** | ppWaterPool,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

ウォータープールを作成します

Parameters

  [in] | pContext | コンテキストを表す Mix::Scene::IWaterPoolContext インターフェースのポインタ
  [in] | worldMat | ワールド行列を表す Mix::Matrix4x4 クラス
  [out] | ppWaterPool | 追加したウォータープールを渡す Mix::Scene::IWaterPool インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合は True を返します

virtual Boolean Mix::Scene::IManager::CreateFloor | ( | Mix::Scene::IFloor ** | ppFloor,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

フロアを作成します

Parameters

  [out] | ppFloor | 作成したフロアを渡す Mix::Scene::IFloor インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合は True を返します

Note
  normal( 0.0f, 1.0f, 0.0f) offset( 0.0f ) で作成します
  また作成に成功した場合 フロアの参照カウンタを +1 します

virtual Boolean Mix::Scene::IManager::CreateFloor | ( | const Mix::Vector3 & | normal,
|  | Float32 | offset,
|  | Mix::Scene::IFloor ** | ppFloor,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

フロアを作成します

Parameters

  [in] | normal | 法線
  [in] | offset | 法線方向へのオフセット
  [out] | ppFloor | 作成したフロアを渡す Mix::Scene::IFloor インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合は True を返します

Note
  作成に成功した場合 フロアの参照カウンタを +1 します

virtual Boolean Mix::Scene::IManager::CreateBasisGhost | ( | Mix::Dynamics::IShape * | pShape,
|  | Boolean | bCollide,
|  | Mix::Scene::IGhost ** | ppGhost,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

ベイシスゴーストを作成します

Parameters

  [in] | pShape | シェイプを表す Mix::Dynamics::IShape インターフェースのポインタ
  [in] | bCollide | 衝突を行う場合は True
  [out] | ppGhost | 追加したゴーストを表す Mix::Scene::IGhost インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合は True を返します

Note
  衝突するゴースト( bCollide == True )として追加した場合は、コライダーとして動作し、
  Mix::Scene::IGhost::GetDynamicsObject で取得できるインターフェースは Mix::Scene::ILibertyCollider になります。
  また、衝突しないゴースト( bCollide == False )として追加した場合は、センサーとして動作し、
  Mix::Scene::IGhost::GetDynamicsObject で取得できるインターフェースは Mix::Scene::ISimpleSensor になります。
  追加に成功したゴーストは、参照カウンタを +1 します。

virtual Boolean Mix::Scene::IManager::CreateKinematicGhost | ( | Float32 | height,
|  | Float32 | radius,
|  | Float32 | stepHeight,
|  | Mix::Scene::IGhost ** | ppGhost,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

キネマティックゴーストを作成します

Parameters

  [in] | height | カプセルの高さ
  [in] | radius | カプセルの半径
  [in] | stepHeight | 上れる段差の高さ
  [out] | ppGhost | 追加したゴーストを表す Mix::Scene::IGhost インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合は True を返します

Note
  キネマティックキャラクターとして動作するため、シェイプとして使用するカプセルはＹ軸限定であり、
  Mix::Scene::IGhost::GetDynamicsObject で取得できるインターフェースは Mix::Scene::ISimpleKinematicCharacter になります。
  追加に成功したゴーストは、参照カウンタを +1 します。

virtual Boolean Mix::Scene::IManager::CreateMaterialFromFile | ( | Mix::Scene::IEffectPackage * | pEffectPackage,
|  | const wchar_t * | pFilePath,
|  | Mix::Scene::IMaterial ** | ppMaterial
| ) |  |

pure virtual

マテリアルをファイルから作成します

Parameters

  [in] | pEffectPackage | エフェクトパッケージを表す Mix::Scene::IEffectPackage インターフェースのポインタ
  [in] | pFilePath | マテリアルのファイルパス
  [out] | ppMaterial | 作成したマテリアルを渡す Mix::Scene::IMaterial インターフェースのポインタのアドレス

Returns
  成功した場合は True を返します

virtual Boolean Mix::Scene::IManager::CreateMaterialFromReader | ( | Mix::Scene::IEffectPackage * | pEffectPackage,
|  | Mix::IO::IReader * | pReader,
|  | Mix::Scene::IMaterial ** | ppMaterial
| ) |  |

pure virtual

マテリアルをリーダーから作成します

Parameters

  [in] | pEffectPackage | エフェクトパッケージを表す Mix::Scene::IEffectPackage インターフェースのポインタ
  [in] | pReader | リーダーを表す Mix::IO::IReader インターフェースのポインタ
  [out] | ppMaterial | 作成したマテリアルを渡す Mix::Scene::IMaterial インターフェースのポインタのアドレス

Returns
  成功した場合は True を返します

virtual Boolean Mix::Scene::IManager::CreateMaterialFromMemory | ( | Mix::Scene::IEffectPackage * | pEffectPackage,
|  | const wchar_t * | pFilePath,
|  | const void * | pSrc,
|  | UInt32 | srcSize,
|  | Mix::Scene::IMaterial ** | ppMaterial
| ) |  |

pure virtual

マテリアルをメモリ内のファイルから作成します

Parameters

  [in] | pEffectPackage | エフェクトパッケージを表す Mix::Scene::IEffectPackage インターフェースのポインタ
  [in] | pFilePath | ファイルパス
  [in] | pSrc | メモリ内のファイルのポインタ
  [in] | srcSize | メモリ内のファイルのサイズ
  [out] | ppMaterial | 作成したマテリアルを渡す Mix::Scene::IMaterial インターフェースのポインタのアドレス

Returns
  成功した場合は True を返します

virtual Boolean Mix::Scene::IManager::CreateMotionFromFile | ( | const wchar_t * | pFilePath,
|  | Mix::Scene::IMotion ** | ppMotion
| ) |  |

pure virtual

モーションをファイルから作成します

Parameters

  [in] | pFilePath | ファイルパス
  [out] | ppMotion | 作成したモーションを渡す Mix::Scene::IMotion インターフェースのポインタのアドレス

Returns
  作成に成功した場合は True を返します

virtual Boolean Mix::Scene::IManager::CreateMotionFromReader | ( | Mix::IO::IReader * | pReader,
|  | Mix::Scene::IMotion ** | ppMotion
| ) |  |

pure virtual

モーションをファイルから作成します

Parameters

  [in] | pReader | リーダーを表す Mix::IO::IReader インターフェースのポインタ
  [out] | ppMotion | 作成したモーションを渡す Mix::Scene::IMotion インターフェースのポインタのアドレス

Returns
  作成に成功した場合は True を返します

virtual Boolean Mix::Scene::IManager::CreateMotionFromMemory | ( | const wchar_t * | pFilePath,
|  | const void * | pSrc,
|  | UInt32 | srcSize,
|  | Mix::Scene::IMotion ** | ppMotion
| ) |  |

pure virtual

モーションをメモリ内のファイルから作成します

Parameters

  [in] | pFilePath | ファイルパス
  [in] | pSrc | メモリ内のファイルのポインタ
  [in] | srcSize | メモリ内のファイルのサイズ
  [out] | ppMotion | 作成したモーションを渡す Mix::Scene::IMotion インターフェースのポインタのアドレス

Returns
  作成に成功した場合は True を返します

virtual const Mix::Vector4& Mix::Scene::IManager::Debug_GetDrawColor | ( | Mix::Scene::DEBUG_DRAW_COLOR_TYPE | type | ) | const

pure virtual

デバッグ : 描画色を取得します

Parameters

  [in] | type | 描画色のタイプを表す Mix::Scene::DEBUG_DRAW_COLOR_TYPE 列挙定数

Returns
  描画色を表す Mix::Vector4 クラスを返します

virtual void Mix::Scene::IManager::Debug_SetDrawColor | ( | Mix::Scene::DEBUG_DRAW_COLOR_TYPE | type,
|  | const Mix::Vector4 & | color
| ) |  |

pure virtual

デバッグ : 描画色を設定します

Parameters

  [in] | type | 描画色のタイプを表す Mix::Scene::DEBUG_DRAW_COLOR_TYPE 列挙定数
  [in] | color | 描画色を表す Mix::Vector4 クラス

The documentation for this class was generated from the following file:

- Mix/Scene/IManager.h